#include "counter.h"

counter_t counter_init(int n){
  counter_t ctr = {.value = n};
  return ctr;
}

int counter_value(counter_t ctr){
  return ctr.value;
}

void counter_add(counter_t *ctr, int n){
  ctr->value = ctr->value + n;
}
